TOOL = NM
LANGUAGE = ENGLISH
#LANGUAGE = RUSSIAN
COMPUTER = VAX
SYSTEM = VMS
#SYSTEM = VMS,X11
MODULE=nm
#MODULE=xnm

DEBUG =
CDEBUG = XINONEDEBUG
#CDEBUG = XIDEBUGEVENT
CC = cc
CFLAGS = /deb/noopt/def=($(CDEBUG),$(LANGUAGE),$(TOOL),$(COMPUTER),$(SYSTEM))
LD = link
XLDFLAGS = ,xlink.opt/opt
LDFLAGS =  ,link.opt/options $(DEBUG)
LDTERMFLAGS = ,link.opt/options

all : $(MODULE)
agc : agc.exe
nm : nnn.exe
xnm : xnn.exe
new :
  delete nnn.exe;*
install : nnn.exe
  copy nnn.exe $(NNDIR)nmm.exe
clear :
  delete nm.obj;*, rt.obj;*, dq.obj;*, tx.obj;*, wd.obj;*, sw.obj;*, te.obj;*, le.obj;*, ud.obj;*, tm.obj;*, cp.obj;*, me.obj;*, stuf.obj;*, sc.obj;*, tv.obj;*, trm.obj;*, kb.obj;*, ki.obj;*, kt.obj;*, fs.obj;*, er.obj;*,xi.obj;*,db.obj;*
nnn.exe : nm.obj, rt.obj, dq.obj, tx.obj, wd.obj, sw.obj, te.obj, le.obj, ud.obj, tm.obj, cp.obj, me.obj, stuf.obj, sc.obj, tv.obj, trm.obj, kb.obj, ki.obj, kt.obj, fs.obj, er.obj
  $(LD) /exec=nnn $(MMS$SOURCE_LIST) $(LDFLAGS)
xnn.exe : nm.obj, rt.obj, dq.obj, tx.obj, wd.obj, sw.obj, te.obj, le.obj, ud.obj, tm.obj, cp.obj, me.obj, stuf.obj, trm.obj, kb.obj, ki.obj, kt.obj, fs.obj, er.obj, xi.obj, db.obj
  $(LD) /exec=xnn $(MMS$SOURCE_LIST) $(XLDFLAGS) $(LDFLAGS)
fs.c : fs_vms.c
  set file/expi=0 fs.c
stuf.c : stuf_vms.c
  set file/expi=0 stuf.c
terms : $(NMTERM)

# VT240
vt240 : $(TERMINFO)vt240.cd $(TERMINFO)vt240.cm $(TERMINFO)vt240.kb
$(TERMINFO)vt240.cd : cdvt240.exe
        run cdvt240
$(TERMINFO)vt240.cm : cmvt240.exe
        run cmvt240
$(TERMINFO)vt240.kb : kbvt240.exe
        run kbvt240
cdvt240.exe : cdvt240.obj
        $(LD) cdvt240 $(LDTERMFLAGS)
cdvt240.obj : cdvt240.c gencod.c
kbvt240.exe : kbvt240.obj
        $(LD) kbvt240 $(LDTERMFLAGS)
kbvt240.obj : kbvt240.c kbvt240.h gentab.c
cmvt240.exe : cmvt240.obj
        $(LD) cmvt240 $(LDTERMFLAGS)
cmvt240.obj : cmvt240.c kbvt240.h gentab.c

# VT220
vt220 : $(TERMINFO)vt220.cd $(TERMINFO)vt220.cm $(TERMINFO)vt220.kb
$(TERMINFO)vt220.cd : cdvt220.exe
        run cdvt220
$(TERMINFO)vt220.cm : cmvt220.exe
        run cmvt220
$(TERMINFO)vt220.kb : kbvt220.exe
        run kbvt220
cdvt220.exe : cdvt220.obj
        $(LD) cdvt220 $(LDTERMFLAGS)
cdvt220.obj : cdvt220.c gencod.c
kbvt220.exe : kbvt220.obj
        $(LD) kbvt220 $(LDTERMFLAGS)
kbvt220.obj : kbvt220.c kbvt220.h gentab.c
cmvt220.exe : cmvt220.obj
        $(LD) cmvt220 $(LDTERMFLAGS)
cmvt220.obj : cmvt220.c kbvt220.h gentab.c

# VT340
vt340 : $(TERMINFO)vt340.cd $(TERMINFO)vt340.cm $(TERMINFO)vt340.kb
$(TERMINFO)vt340.cd : cdvt340.exe
        run cdvt340
$(TERMINFO)vt340.cm : cmvt340.exe
        run cmvt340
$(TERMINFO)vt340.kb : kbvt340.exe
        run kbvt340
cdvt340.exe : cdvt340.obj
        $(LD) cdvt340 $(LDTERMFLAGS)
cdvt340.obj : cdvt340.c gencod.c
kbvt340.exe : kbvt340.obj
        $(LD) kbvt340 $(LDTERMFLAGS)
kbvt340.obj : kbvt340.c kbvt340.h gentab.c
cmvt340.exe : cmvt340.obj
        $(LD) cmvt340 $(LDTERMFLAGS)
cmvt340.obj : cmvt340.c kbvt340.h gentab.c

# decterm
decterm : $(TERMINFO)decterm.cd $(TERMINFO)decterm.cm $(TERMINFO)decterm.kb
$(TERMINFO)decterm.cd : cddecterm.exe
        run cddecterm
$(TERMINFO)decterm.cm : cmdecterm.exe
        run cmdecterm
$(TERMINFO)decterm.kb : kbdecterm.exe
        run kbdecterm
cddecterm.exe : cddecterm.obj
        $(LD) cddecterm $(LDTERMFLAGS)
cddecterm.obj : cddecterm.c gencod.c
kbdecterm.exe : kbdecterm.obj
        $(LD) kbdecterm $(LDTERMFLAGS)
kbdecterm.obj : kbdecterm.c kbdecterm.h gentab.c
cmdecterm.exe : cmdecterm.obj
        $(LD) cmdecterm $(LDTERMFLAGS)
cmdecterm.obj : cmdecterm.c kbdecterm.h gentab.c

# xdecterm
xdecterm : $(TERMINFO)xdecterm.cd $(TERMINFO)xdecterm.cm $(TERMINFO)xdecterm.kb
$(TERMINFO)xdecterm.cd : cdxdecterm.exe
        run cdxdecterm
$(TERMINFO)xdecterm.cm : cmxdecterm.exe
        run cmxdecterm
$(TERMINFO)xdecterm.kb : kbxdecterm.exe
        run kbxdecterm
cdxdecterm.exe : cdxdecterm.obj
        $(LD) cdxdecterm $(LDTERMFLAGS)
cdxdecterm.obj : cdxdecterm.c gencod.c
kbxdecterm.exe : kbxdecterm.obj
        $(LD) kbxdecterm $(LDTERMFLAGS)
kbxdecterm.obj : kbxdecterm.c kbxdecterm.h gentab.c
cmxdecterm.exe : cmxdecterm.obj
        $(LD) cmxdecterm $(LDTERMFLAGS)
cmxdecterm.obj : cmxdecterm.c kbxdecterm.h gentab.c
