/*
 *     nanoMir
 *
 *     "er.h"           Process error and status line
 */

extern void erInit ();
extern void ErLert (char *);
extern void ErFerr (char *);
extern void ErShow (register char *);
extern void ErOff ();

extern bool erOpen;
extern bool erLoaded;
extern bool erHflag;

extern char *erPrev (void);
extern char *erNext (void);

extern void stOn (void);
extern void stOff (void);
extern void stCFile (char *file);
extern void stModification (small n);
extern void stCCaps (small n);
extern void stCMode (small n);
extern void stCAttr (tchar attr);
extern void stCXYSym (small x, large y);
void stCZoom (small z);

extern bool stOpen;
#define STM_REPLACE 0
#define STM_INSERT  1

#define STC_BLAT    0
#define STC_SLAT    1
#define STC_BRUS    2
#define STC_SRUS    3

#define STZ_OFF     0
#define STZ_ON      1

#define STM_YES     0
#define STM_NO      1

/*    . */
#ifndef X11
#define STATUS_SHORT
/*        */
#define STATUS_SHORT_ATTRIB
#endif

#ifdef X11
#define STATUS_SHORT
/*        */
#define STATUS_SHORT_ATTRIB
#endif

#ifdef  STATUS_SHORT
/*      (   ) */
#define NSTLINE  1

/*       */
#ifdef  STATUS_SHORT_ATTRIB
#define STATUS_ATTRIB_WIDTH     1
#else
#define STATUS_ATTRIB_WIDTH     8
#endif /* STATUS_SHORT_ATTRIB */

/*     XY (16 )    */
#define STATUS_XY_OFFSET        0
/*    /    */
#define STATUS_MODE_OFFSET      (STATUS_XY_OFFSET     + 16 + 1)
/*        */
#define STATUS_LANG_OFFSET      (STATUS_MODE_OFFSET   + 1  + 1)
/*        */
#define STATUS_MODIF_OFFSET     (STATUS_LANG_OFFSET   + 1  + 1)
/*    ZOOM    */
#define STATUS_ZOOM_OFFSET      (STATUS_MODIF_OFFSET  + 1  + 1)
/*     (8 )    */
#define STATUS_ATTRIB_OFFSET    (STATUS_ZOOM_OFFSET   + 1  + 1)
/*      (6 )    */
#define STATUS_LENGTH_OFFSET    (STATUS_ATTRIB_OFFSET + STATUS_ATTRIB_WIDTH + 1)
/*       */
#define STATUS_FILE_OFFSET      (STATUS_LENGTH_OFFSET + 6  + 1)

#else /* ! STATUS_SHORT */

#define NSTLINE  3
#endif /* STATUS_SHORT */
