#define FILE_NAME "apcconsole.cd"
int columns=80;
int lines_=24;
int regis_level = 0;
#if 0
char window_h_line='a';
char window_v_line='a';
#endif
char bell[]="\007";
char clear_screen[]="\033[0;0f\033[0J";
char clr_bol[]="\033[1K";
char clr_bos[]="\033[1J";
char clr_eol[]="\033[0K";
char clr_eos[]="\033[0J";
char carriage_return[]="\015";
char cursor_address[]="\033[%p1%'\001'%+%d;%p2%'\001'%+%dH";
char cursor_down[]= "\033[B";
char cursor_home[]="\033[0;0f";
char cursor_invisible[]="";
char cursor_left[]= "\033[D";
char cursor_normal[]="";
char cursor_right[]= "\033[C";
char cursor_up[]= "\033[A";
char delete_character[]="\033[1P";
char delete_line[]="\033[1M";
char enter_alt_charset_mode[]="";
char enter_attribute_mode[]="";
char enter_blink_mode[]="\033[5m";
char enter_bold_mode[]="\033[1m";
char enter_dim_mode[]="";
char enter_graph_mode[]="";
char enter_reverse_mode[]="\033[7m";
char enter_underline_mode[]="\033[4m";
char erase_chars[]="";
char exit_alt_charset_mode[]="";
char exit_attribute_mode[]="\033[0m";
char exit_graph_mode[]="";
char insert_character[]="\033[1@";
char insert_line[]="\033[1L";
char parm_dch[]="";
char parm_delete_line[]="";
char parm_ich[]="";
char parm_insert_line[]="";
char parm_index[]="";
char parm_rindex[]="";
char roll_disable[] = "";
char roll_enable[] = "";
char screen_attach[] = "\033[>20l\033=\033[?4l";
char screen_detach[] = "\033[>20l";
char scroll_forward[] = "\033D";
char scroll_reverse[] = "\033M";
char set_top_and_bottom_margins[] = "\033[%p1%'\001'%+%d;%p2%'\001'%+%dr";
char tv_ASCII[256] = {
/*\    0    1    2    3    4    5    6    7    8    9    A    B    C    D    E    F */
/*0*/ '@', '@', '@', '@', '@', '@', '@', '@', '@', '@', '@', '@', '@', '@', '@', '@',
/*1*/ '@', '@', '@', '@', '@', '@', '@', '@', '@', '@', '@', '@', '@', '@', '@', '@',
/*2*/0040,0041,0042,0043,0044,0045,0046,0047,0050,0051,0052,0053,0054,0055,0056,0057,
/*3*/0060,0061,0062,0063,0064,0065,0066,0067,0070,0071,0072,0073,0074,0075,0076,0077,
/*4*/0100,0101,0102,0103,0104,0105,0106,0107,0110,0111,0112,0113,0114,0115,0116,0117,
/*5*/0120,0121,0122,0123,0124,0125,0126,0127,0130,0131,0132,0133,0134,0135,0136,0137,
/*6*/0140,0141,0142,0143,0144,0145,0146,0147,0150,0151,0152,0153,0154,0155,0156,0157,
/*7*/0160,0161,0162,0163,0164,0165,0166,0167,0170,0171,0172,0173,0174,0175,0176, '@',
/* 0200  0x80 */     '+',      /*     */
/* 0201  0x81 */     '+',      /*     */
/* 0202  0x82 */     '+',      /*     */
/* 0203  0x83 */     '+',      /*     */
/* 0204  0x84 */     '+',      /*     */
/* 0205  0x85 */     '+',      /*     */
/* 0206  0x86 */     '+',      /*     */
/* 0207  0x87 */     '+',      /*     */
/* 0210  0x88 */     '-',      /*     */
/* 0211  0x89 */     '|',      /*     */
/* 0212  0x8A */     '+',      /*     */
/* 0213  0x8B */     '*',      /*     */
/* 0214  0x8C */     '*',      /*     */
/* 0215  0x8D */     '@',      /*     */
/* 0216  0x8E */     '@',      /*     */
/* 0217  0x8F */     '@',      /*     */
/* 0220  0x90 */     '@',      /*     */
/* 0221  0x91 */     '@',      /*     */
/* 0222  0x92 */     '@',      /*     */
/* 0223  0x93 */     '@',      /*     */
/* 0224  0x94 */     '@',      /*  */
/* 0225  0x95 */     '@',      /*  */
/* 0226  0x96 */     '@',      /*  */
/* 0227  0x97 */     '@',      /*  */
/* 0230  0x98 */     '@',      /*  */
/* 0231  0x99 */     '@',      /*  */
/* 0232  0x9A */     '@',      /*  */
/* 0233  0x9B */     '@',      /*  */
/* 0234  0x9C */     '@',      /*  */
/* 0235  0x9D */     '@',      /*  */
/* 0236  0x9E */     '@',      /*  */
/* 0237  0x9F */     '@',      /*  */
/* 0240  0xA0 */     '@',      /*  */
/* 0241  0xA1 */     '@',      /*  */
/* 0242  0xA2 */     '@',      /*  */
/* 0243  0xA3 */     '@',      /*  */
/* 0244  0xA4 */     '@',      /*  */
/* 0245  0xA5 */     '@',      /*  */
/* 0246  0xA6 */     '@',      /*  */
/* 0247  0xA7 */     '@',      /*  */
/* 0250  0xA8 */     '@',      /*  */
/* 0251  0xA9 */     '@',      /*  */
/* 0252  0xAA */     '@',      /*  */
/* 0253  0xAB */     '@',      /*  */
/* 0254  0xAC */     '@',      /*  */
/* 0255  0xAD */     '@',      /*  */
/* 0256  0xAE */     '@',      /*  */
/* 0257  0xAF */     '@',      /*  */
/* 0260  0xB0 */     '@',      /*  */
/* 0261  0xB1 */     '@',      /*  */
/* 0262  0xB2 */     '@',      /*  */
/* 0263  0xB3 */     '@',      /*  */
/* 0264  0xB4 */     '@',      /*  */
/* 0265  0xB5 */     '@',      /*  */
/* 0266  0xB6 */     '@',      /*  */
/* 0267  0xB7 */     '@',      /*  */
/* 0270  0xB8 */     '@',      /*  */
/* 0271  0xB9 */     '@',      /*  */
/* 0272  0xBA */    0276,      /*    */
/* 0273  0xBB */     '@',      /*  */
/* 0274  0xBC */     '@',      /*  */
/* 0275  0xBD */     '@',      /*  */
/* 0276  0xBE */     '@',      /*  */
/* 0277  0xBF */     '@',      /*  */
/* 0300  0xC0 */    0300,      /*   -    */
/* 0301  0xC1 */    0301,      /*  */
/* 0302  0xC2 */    0302,      /*  */
/* 0303  0xC3 */    0303,      /*  */
/* 0304  0xC4 */    0304,      /*  */
/* 0305  0xC5 */    0305,      /*  */
/* 0306  0xC6 */    0306,      /*  */
/* 0307  0xC7 */    0307,      /*  */
/* 0310  0xC8 */    0310,      /*  */
/* 0311  0xC9 */    0311,      /*  */
/* 0312  0xCA */    0312,      /*  */
/* 0313  0xCB */    0313,      /*  */
/* 0314  0xCC */    0314,      /*  */
/* 0315  0xCD */    0315,      /*  */
/* 0316  0xCE */    0316,      /*  */
/* 0317  0xCF */    0317,      /*  */
/* 0320  0xD0 */    0320,      /*  */
/* 0321  0xD1 */    0321,      /*  */
/* 0322  0xD2 */    0322,      /*  */
/* 0323  0xD3 */    0323,      /*  */
/* 0324  0xD4 */    0324,      /*  */
/* 0325  0xD5 */    0325,      /*  */
/* 0326  0xD6 */    0326,      /*  */
/* 0327  0xD7 */    0327,      /*  */
/* 0330  0xD8 */    0330,      /*  */
/* 0331  0xD9 */    0331,      /*  */
/* 0332  0xDA */    0332,      /*  */
/* 0333  0xDB */    0333,      /*  */
/* 0334  0xDC */    0334,      /*  */
/* 0335  0xDD */    0335,      /*  */
/* 0336  0xDE */    0336,      /*  */
/* 0337  0xDF */    0337,      /*  */
/* 0340  0xE0 */    0340,      /*   -    */
/* 0341  0xE1 */    0341,      /*  */
/* 0342  0xE2 */    0342,      /*  */
/* 0343  0xE3 */    0343,      /*  */
/* 0344  0xE4 */    0344,      /*  */
/* 0345  0xE5 */    0345,      /*  */
/* 0346  0xE6 */    0346,      /*  */
/* 0347  0xE7 */    0347,      /*  */
/* 0350  0xE8 */    0350,      /*  */
/* 0351  0xE9 */    0351,      /*  */
/* 0352  0xEA */    0352,      /*  */
/* 0353  0xEB */    0353,      /*  */
/* 0354  0xEC */    0354,      /*  */
/* 0355  0xED */    0355,      /*  */
/* 0356  0xEE */    0356,      /*  */
/* 0357  0xEF */    0357,      /*  */
/* 0360  0xF0 */    0360,      /*  */
/* 0361  0xF1 */    0361,      /*  */
/* 0362  0xF2 */    0362,      /*  */
/* 0363  0xF3 */    0363,      /*  */
/* 0364  0xF4 */    0364,      /*  */
/* 0365  0xF5 */    0365,      /*  */
/* 0366  0xF6 */    0366,      /*  */
/* 0367  0xF7 */    0367,      /*  */
/* 0370  0xF8 */    0370,      /*  */
/* 0371  0xF9 */    0371,      /*  */
/* 0372  0xFA */    0372,      /*  */
/* 0373  0xFB */    0373,      /*  */
/* 0374  0xFC */    0374,      /*  */
/* 0375  0xFD */    0375,      /*  */
/* 0376  0xFE */    0376,      /*  */
/* 0377  0xFF */    0277       /*  */
};
char kb_rus_ASCII[256] = {
/*\     0    1    2    3    4    5    6    7    8    9    A    B    C    D    E    F*/
/*0*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/*1*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/* ----------------------------------------- */
/*2*/0040,0041,0042,0043,0337,0045,0046,0047,0050,0051,0052,0053,0054,0055,0056,0057,
/*3*/0060,0061,0062,0063,0064,0065,0066,0067,0070,0071,0072,0073,0074,0075,0076,0077,
/*4*/0340,0341,0342,0343,0344,0345,0346,0347,0350,0351,0352,0353,0354,0355,0356,0357,
/*5*/0360,0361,0362,0363,0364,0365,0366,0367,0370,0371,0372,0333,0334,0335,0376,0337,
/*6*/0300,0301,0302,0303,0304,0305,0306,0307,0310,0311,0312,0313,0314,0315,0316,0317,
/*7*/0320,0321,0322,0323,0324,0325,0326,0327,0330,0331,0332,0373,0374,0375,0336,0040,
/*8*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/*9*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/*A*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/*B*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/*C*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/*D*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/*E*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/*F*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
};
char kb_lat_ASCII[256] = {
/*\     0    1    2    3    4    5    6    7    8    9    A    B    C    D    E    F*/
/*0*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/*1*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/* ----------------------------------------- */
/*2*/0040,0041,0042,0043,0044,0045,0046,0047,0050,0051,0052,0053,0054,0055,0056,0057,
/*3*/0060,0061,0062,0063,0064,0065,0066,0067,0070,0071,0072,0073,0074,0075,0076,0077,
/*4*/0100,0101,0102,0103,0104,0105,0106,0107,0110,0111,0112,0113,0114,0115,0116,0117,
/*5*/0120,0121,0122,0123,0124,0125,0126,0127,0130,0131,0132,0133,0134,0135,0136,0137,
/*6*/0140,0141,0142,0143,0144,0145,0146,0147,0150,0151,0152,0153,0154,0155,0156,0157,
/*7*/0160,0161,0162,0163,0164,0165,0166,0167,0170,0171,0172,0173,0174,0175,0176,0040,
/*8*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/*9*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/*A*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/*B*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/*C*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/*D*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/*E*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
/*F*/0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,0040,
};
#include "gencod.c"
