/*          The folowing have to define:            */
/*   FILE_NAME      - file name for tables saving
                    - tables are saved in  ${MIMTERMINFO} directory */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

/*      */
#define DEFAULT_MIMTERMINFO     "/usr/local/lib/mim"

short
length (register char *s)
{
  register short l;
  for (l = 0; *s++; l++);
  return l;
}

#ifndef VMS
#define PREFSTR "%s/%s"
#else
#define PREFSTR "%s%s"
#endif

#define twrite(w) write(fd, (char *) &(w), sizeof(w))
#define tput(oper) l=length(oper); twrite(l); if(l) write(fd,oper,l)

int main ()
{
  short l;
  int fd;
  char *nm_lib, fn[256];
  nm_lib = (char *) getenv ("MIMTERMINFO");
  if (nm_lib == NULL)
    {
      printf ("MIMTERMINFO missing in environ. Using default %s\n",
              DEFAULT_MIMTERMINFO);
      nm_lib = DEFAULT_MIMTERMINFO;
    }
  sprintf (fn, PREFSTR, nm_lib, FILE_NAME);
  fd = creat (fn, 0666);
  if (fd == -1)
    {
      printf ("Error in \'creat\' for  '%s'\n", fn);
      return 1;
    }
  twrite (columns);
  twrite (lines_);
  twrite (regis_level);

  l =
    length (bell) + 1 +
    length (clear_screen) + 1 +
    length (clr_bol) + 1 +
    length (clr_bos) + 1 +
    length (clr_eol) + 1 +
    length (clr_eos) + 1 +
    length (carriage_return) + 1 +
    length (cursor_address) + 1 +
    length (cursor_home) + 1 +
    length (cursor_down) + 1 +
    length (cursor_invisible) + 1 +
    length (cursor_left) + 1 +
    length (cursor_normal) + 1 +
    length (cursor_right) + 1 +
    length (cursor_up) + 1 +
    length (delete_character) + 1 +
    length (delete_line) + 1 +
    length (enter_alt_charset_mode) + 1 +
    length (enter_attribute_mode) + 1 +
    length (enter_blink_mode) + 1 +
    length (enter_bold_mode) + 1 +
    length (enter_dim_mode) + 1 +
    length (enter_graph_mode) + 1 +
    length (enter_reverse_mode) + 1 +
    length (enter_underline_mode) + 1 +
    length (erase_chars) + 1 +
    length (exit_alt_charset_mode) + 1 +
    length (exit_attribute_mode) + 1 +
    length (exit_graph_mode) + 1 +
    length (insert_character) + 1 +
    length (insert_line) + 1 +
    length (parm_dch) + 1 +
    length (parm_delete_line) + 1 +
    length (parm_ich) + 1 +
    length (parm_insert_line) + 1 +
    length (parm_index) + 1 +
    length (parm_rindex) + 1 +
    length (roll_disable) + 1 +
    length (roll_enable) + 1 +
    length (screen_attach) + 1 +
    length (screen_detach) + 1 +
    length (scroll_forward) + 1 +
    length (scroll_reverse) + 1 +
    length (set_top_and_bottom_margins) + 1 + 256 + 256 + 256;
  twrite (l);
  tput (bell);
  tput (clear_screen);
  tput (clr_bol);
  tput (clr_bos);
  tput (clr_eol);
  tput (clr_eos);
  tput (carriage_return);
  tput (cursor_address);
  tput (cursor_home);
  tput (cursor_down);
  tput (cursor_invisible);
  tput (cursor_left);
  tput (cursor_normal);
  tput (cursor_right);
  tput (cursor_up);
  tput (delete_character);
  tput (delete_line);
  tput (enter_alt_charset_mode);
  tput (enter_attribute_mode);
  tput (enter_blink_mode);
  tput (enter_bold_mode);
  tput (enter_dim_mode);
  tput (enter_graph_mode);
  tput (enter_reverse_mode);
  tput (enter_underline_mode);
  tput (erase_chars);
  tput (exit_alt_charset_mode);
  tput (exit_attribute_mode);
  tput (exit_graph_mode);
  tput (insert_character);
  tput (insert_line);
  tput (parm_dch);
  tput (parm_delete_line);
  tput (parm_ich);
  tput (parm_insert_line);
  tput (parm_index);
  tput (parm_rindex);
  tput (roll_disable);
  tput (roll_enable);
  tput (screen_attach);
  tput (screen_detach);
  tput (scroll_forward);
  tput (scroll_reverse);
  tput (set_top_and_bottom_margins);
  write (fd, tv_ASCII, 256);
  write (fd, kb_rus_ASCII, 256);
  write (fd, kb_lat_ASCII, 256);
  close (fd);
}
