/*
 *     
 *
 *     "kb.h"           
 */

typedef small kchar;

extern kchar KbCode;
extern large KbCount;
extern small KbRadix;
extern bool kbBreak;

extern void kbInit (void);
extern void KbTerm (void);
extern void kbAttach (void);
extern void kbDetach (void);
extern kchar KbGet (void);
extern kchar KbQGet (void);
extern kchar qKbReq (void);
extern bool qKbBreak (void);

extern void (*KbWaitIn) ();

extern void KbMLoad (char *);
extern void KbMSave (char *);

extern bool qkbhin ();

#define MAXMCBUF  256
extern bool have_tty;
extern int term_file;

typedef struct
{
  short token;
  short code;
}
tab_elem;
typedef struct
{
  short *table_pointer;
  tab_elem *big_tab;
  short special_count;
  tab_elem *special_tab;
  short buf_elem[149];
  short buf_count;
  short next_in_buf;
}
token_tabs;

extern short get_token (register token_tabs * tp, register short (*gt) ());
extern int load_table (char *file_name, token_tabs * tp);
extern int load_codes (char *file_name);

extern int term_file;
extern bool have_tty;
extern int kbmod;

#define KBBNE 001
#define KBSGI 002
#define KBSBL 004
#define qkbhbrk()           (kb_flags &  KBSGI )
#define set_break_pressed() (kb_flags |= KBSGI )
#define kbhcbrk()           (kb_flags &= ~KBSGI )

extern unsigned char kb_flags;
extern void kb_wait ();
extern void clear_tty_in ();

#ifndef VERSION_2
#define ALPHANUMERIC_TERM 10

extern bool alphanumeric_term;
#endif /* ! VERSION_2 */
