#include "kbtvt52.h"

#define MAXTABS 10
#define MAXLENTAB 200
#define FILE_NAME "tvt52.kb"

short origin_table[] = {

CTRL_2          , 0000,                  -1,
CTRL_A          , 0001,                  -1,
CTRL_B          , 0002,                  -1,
CTRL_C          , 0003,                  -1,
CTRL_D          , 0004,                  -1,
CTRL_E          , 0005,                  -1,
CTRL_A          , 0006,                  -1,
CTRL_G          , 0007,                  -1,
F12             , 0010,                  -1,
Tab             , 0011,                  -1,
CTRL_J          , 0012,                  -1,
CTRL_K          , 0013,                  -1,
CTRL_L          , 0014,                  -1,
NewLine         , 0015,                  -1,
CTRL_N          , 0016,                  -1,
CTRL_O          , 0017,                  -1,
CTRL_P          , 0020,                  -1,
CTRL_Q          , 0021,                  -1,
CTRL_R          , 0022,                  -1,
CTRL_S          , 0023,                  -1,
CTRL_T          , 0024,                  -1,
CTRL_U          , 0025,                  -1,
CTRL_V          , 0026,                  -1,
CTRL_W          , 0027,                  -1,
CTRL_ZB         , 0030,                  -1,
CTRL_Y          , 0031,                  -1,
CTRL_Z          , 0032,                  -1,

CTRL_4          , 0034,                  -1,
CTRL_5          , 0035,                  -1,
CTRL_6          , 0036,                  -1,
CTRL_7          , 0037,                  -1,
ZB              , 0177,                  -1,

N0              , 0033, '?', 'p',        -1,
N1              , 0033, '?', 'q',        -1,
N2              , 0033, '?', 'r',        -1,
N3              , 0033, '?', 's',        -1,
N4              , 0033, '?', 't',        -1,
N5              , 0033, '?', 'u',        -1,
N6              , 0033, '?', 'v',        -1,
N7              , 0033, '?', 'w',        -1,
N8              , 0033, '?', 'x',        -1,
N9              , 0033, '?', 'y',        -1,
COMMA           , 0033, '?', 'l',        -1,
DOT             , 0033, '?', 'n',        -1,
MINUS           , 0033, '?', 'm',        -1,
Enter           , 0033, '?', 'M',        -1,
UP              , 0033, 'A',             -1,
DOWN            , 0033, 'B',             -1,
RIGHT           , 0033, 'C',             -1,
LEFT            , 0033, 'D',             -1,
PF1             , 0033, 'P',             -1,
PF2             , 0033, 'Q',             -1,
PF3             , 0033, 'R',             -1,
PF4             , 0033, 'S',             -1,-1};

short special_table[] = {

F11             , 033,

-1};

#include "gentab.c"

